## org.eclipse.ocl.utilities
Interface TypedElement<C>

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  AssociationClassCallExp<C,P>, AssociationClassCallExp, BooleanLiteralExp<C>, BooleanLiteralExp, CallExp<C>, CallExp, CollectionItem<C>, CollectionItem, CollectionLiteralExp<C>, CollectionLiteralExp, CollectionLiteralPart<C>, CollectionLiteralPart, CollectionRange<C>, CollectionRange, EnumLiteralExp<C,EL>, EnumLiteralExp, FeatureCallExp<C>, FeatureCallExp, IfExp<C>, IfExp, IntegerLiteralExp<C>, IntegerLiteralExp, InvalidLiteralExp<C>, InvalidLiteralExp, IterateExp<C,PM>, IterateExp, IteratorExp<C,PM>, IteratorExp, LetExp<C,PM>, LetExp, LiteralExp<C>, LiteralExp, LoopExp<C,PM>, LoopExp, MessageExp<C,COA,SSA>, MessageExp, NavigationCallExp<C,P>, NavigationCallExp, NullLiteralExp<C>, NullLiteralExp, NumericLiteralExp<C>, NumericLiteralExp, OCLExpression<C>, OCLExpression, OperationCallExp<C,O>, OperationCallExp, PrimitiveLiteralExp<C>, PrimitiveLiteralExp, PropertyCallExp<C,P>, PropertyCallExp, RealLiteralExp<C>, RealLiteralExp, StateExp<C,S>, StateExp, StringLiteralExp<C>, StringLiteralExp, TupleLiteralExp<C,P>, TupleLiteralExp, TupleLiteralPart<C,P>, TupleLiteralPart, TypeExp<C>, TypeExp, UnlimitedNaturalLiteralExp<C>, UnlimitedNaturalLiteralExp, UnspecifiedValueExp<C>, UnspecifiedValueExp, Variable<C,PM>, Variable, VariableExp<C,PM>, VariableExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl, BooleanLiteralExpImpl, BooleanLiteralExpImpl, CallExpImpl, CallExpImpl, CollectionItemImpl, CollectionItemImpl, CollectionLiteralExpImpl, CollectionLiteralExpImpl, CollectionLiteralPartImpl, CollectionLiteralPartImpl, CollectionRangeImpl, CollectionRangeImpl, EnumLiteralExpImpl, EnumLiteralExpImpl, FeatureCallExpImpl, FeatureCallExpImpl, IfExpImpl, IfExpImpl, IntegerLiteralExpImpl, IntegerLiteralExpImpl, InvalidLiteralExpImpl, InvalidLiteralExpImpl, IterateExpImpl, IterateExpImpl, IteratorExpImpl, IteratorExpImpl, LetExpImpl, LetExpImpl, LiteralExpImpl, LiteralExpImpl, LoopExpImpl, LoopExpImpl, MessageExpImpl, MessageExpImpl, NavigationCallExpImpl, NavigationCallExpImpl, NullLiteralExpImpl, NullLiteralExpImpl, NumericLiteralExpImpl, NumericLiteralExpImpl, OCLExpressionImpl, OCLExpressionImpl, OperationCallExpImpl, OperationCallExpImpl, PrimitiveLiteralExpImpl, PrimitiveLiteralExpImpl, PropertyCallExpImpl, PropertyCallExpImpl, RealLiteralExpImpl, RealLiteralExpImpl, StateExpImpl, StateExpImpl, StringLiteralExpImpl, StringLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralExpImpl, TupleLiteralPartImpl, TupleLiteralPartImpl, TypeExpImpl, TypeExpImpl, UnlimitedNaturalLiteralExpImpl, UnlimitedNaturalLiteralExpImpl, UnspecifiedValueExpImpl, UnspecifiedValueExpImpl, VariableExpImpl, VariableExpImpl, VariableImpl, VariableImpl

    public interface TypedElement<C>

extends EObject

A representation of the model object 'Typed Element'.

See Also:
  `UtilitiesPackage.getTypedElement()`

Method Summary
`String` `getName()` If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...
`C` `getType()`
`void` `setName(String name)`
`void` `setType(C type)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getName

    String getName()

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

### getType

    C getType()

### setName

    void setName(String name)

### setType

    void setType(C type)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.